using Exam.Infrastructure.Data.Interface;
using Hotline.Share.Enums.Exams;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Share.ViewResponses.Exam
{
    /// <summary>
    /// 开始考试结果
    /// </summary>
    [Description("开始考试结果")]
    public class StartExamViewResponse
    {
        /// <summary>
        /// 开始时间
        /// </summary>
        [Description("开始时间")]
        public DateTime? StartTime { get; set; }

        /// <summary>
        /// 时间间隔
        /// </summary>
        [Description("时间间隔")]
        public int? TimeSpan { get; set; }

        /// <summary>
        /// 是否结束
        /// </summary>
        [Description("是否结束")]
        public bool IsCompleted { get; set; }

        /// <summary>
        /// 是否开始
        /// </summary>
        [Description("是否开始")]
        public bool IsStart { get; set; } = true;

        /// <summary>
        /// 是否参与考试
        /// </summary>
        [Description("是否参与考试")]
        public bool IsJoin { get; set; } = true;
    }
}
